Bug 887287 - Openshift employee sku does not create a pool in candlepin
Openshift employee sku does not create a pool in candlepin
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devan Goodwin
Eric Sammons
: 722977 (view as bug list)
Depends On:
Blocks: rhsm-rhel65 rhsm-rhel70
  Show dependency treegraph
Reported: 2012-12-14 09:49 EST by Amanda Carter
Modified: 2015-05-14 10:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-01-18 17:09:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Amanda Carter 2012-12-14 09:49:04 EST
Description of problem:

The openshift employee sku SER0421 is failing to create pools in production. On investigation, IT found that it appears to be caused by no longer sending the virt_limit to candlepin if the value is 0 causing an unintended issue where now candlepin assumes a null value and blows up when a pool refresh is performed.

Version-Release number of selected component (if applicable):

CP prod version (?)
Comment 1 Devan Goodwin 2012-12-14 11:13:42 EST
Was this found in hosted or stage? What version of candlepin?
Comment 2 Dennis Crissman 2012-12-14 11:27:12 EST
This was found in stage, which is currently running candlepoin

The current is pending some maintenance in stage, but will hopefully to today or Monday.
Comment 3 Dennis Crissman 2012-12-14 12:11:27 EST
Steps we think happened:
1) sku RC0135817  originally has virt_limit > 1
2) they didn't like it and changed the virt_limit to 0

all good. adapters send virt_limit of 0 to candlepin and pool quantity is down adjusted to 0

they request we make virt_limit 0 not show up in candlepin attributes

we do it and all is fine except if you have a virt pool which is had a 0 quantity

since we are now not sending 0 and instead sending null. stuff blows up
Comment 4 Dennis Crissman 2012-12-14 12:12:00 EST
| refresh_pools_3275fda7-fc56-4c82-ab86-a9ee670c025e | 2012-12-13 14:04:02 | 2012-12-13 14:04:05 | NULL       | org.quartz.SchedulerException: Job threw an unhandled exception. [See nested exception: org.mozilla.javascript.EvaluatorException: Cannot convert NaN to java.lang.Long (rules#918)] | 2012-12-13 14:04:02 |     5 | async group | candlepin_admin | 5372539  |          0 |

Unfortunately, we do not have a better exception.
Comment 5 Devan Goodwin 2012-12-14 14:35:17 EST
DISCLAIMER: There will be a caveat to this fix, it won't include support for adding virt_limit back in. If you have a subscription without virt_limit, refresh pools, then virt_limit is added, candlepin will not (yet) be able to detect that it needs to make a bonus pool. This would add a lot of complexity and I'm assuming we should fix this first and then address that issue later. Ok with everyone?
Comment 6 Dennis Crissman 2012-12-17 10:55:54 EST
I don't think candlepin could ever create virtual pools (at least for hosted) after the physical pool was created. The virtual pools were created at the same time or not at all. So that seems like an appropriate fix.

I see no problem as long as the people creating the SKUs know this limitation and understand that there is no changing their mind if a pools should have virt_limit or not once the SKU has been created.

Comment 7 Devan Goodwin 2012-12-19 10:50:36 EST
Fixed in candlepin.git master: 2c0f3726e9ce63cdb4efe229ccd2a272a1560c63

Backporting to 0.7.13-hotfix branch, will appear in candlepin-
Comment 8 Dennis Crissman 2012-12-20 13:00:12 EST
Changes have been pushed into stage. Please verify.

Comment 9 Amanda Carter 2012-12-21 12:36:36 EST
The sku that caused this problem was SER0421. It doesn't appear to exist in Stage, so setting needinfo to Robbie.
Comment 10 Amanda Carter 2012-12-21 13:33:04 EST
FWIW, if the RC sku mentioned above should also work in this case, it is not currently creating any pools in stage.
Comment 11 Robert Riggs 2013-01-02 09:39:50 EST
SER0421 is now in Stage.
Comment 12 Dennis Crissman 2013-01-02 11:37:54 EST
SER0421 needs to be whitelisted in stage.
Comment 13 Dennis Crissman 2013-01-02 12:37:27 EST
SER0421 now shows 1 pool.

Please verify.

Comment 14 Amanda Carter 2013-01-03 11:58:16 EST
FWIW I have verified from my side that the openshift pool is available to users in stage for a new subscription. When this release goes to production, will there be anything to trigger pool creation on existing subscriptions or will they need to be triggered manually?
Comment 15 Dennis Crissman 2013-01-03 12:33:12 EST
manual :(
Comment 16 Dennis Crissman 2013-01-10 14:54:16 EST
Release is now in production!
Comment 17 Alex Dellapenta 2013-02-21 16:45:12 EST
Is there a process in place for requesting the pool creation be triggered manually for existing subscriptions as mentioned in comment 14/15? I think I fall into that category (user name = rhn-support-adellape) as I have been able to access the OpenShift channels on RHN Classic, but the OpenShift Employee Subscription does not show up in RHSM (subscription-manager or RHSM-Web). I've spoken with Customer Service so far but it sounds like it's outside the scope of their tools.
Comment 18 Dennis Crissman 2013-02-22 07:20:10 EST
A manual pool refresh has been completed in both stage and prod for user rhn-support-adellape.
Comment 19 Devan Goodwin 2013-03-26 10:47:34 EDT
*** Bug 722977 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.